Package twisted :: Package spread :: Module newjelly :: Class _Jellier

[show private | hide private]
[frames | no frames]

## Class _Jellier

(Internal) This class manages state for a call to jelly()

Method Summary
| ``__init__`(self, taster, persistentStore, invoker)` Initialize.
| `jelly(self, obj)`
| `prepare(self, obj)`
| `preserve(self, obj, jlist)`
| ``unpersistable`(self, reason, sxp)` (internal) Returns an sexp: (unpersistable "reason").
| `_checkMutable(self, obj, refId)`

Class Variable Summary
`dict` | `constantTypes`

Method Details

### __init__(self, taster, persistentStore, invoker)
(Constructor)

Initialize.

### unpersistable(self, reason, sxp=None)

(internal) Returns an sexp: (unpersistable "reason"). Utility method for making note that a particular object could not be serialized.

Class Variable Details

### constantTypes

  Type:
    `dict`
  Value:

        {<type 'str'>: 1, <type 'int'>: 1, <type 'float'>: 1, <type 'long'>: 1\
        }

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net